var NAVTREE =
[
  [ "RMOL", "index.html", [
    [ "RMOL Documentation", "index.html", [
      [ "Getting Started", "index.html#getting_started", null ],
      [ "RMOL at SourceForge", "index.html#at_sourceforge", null ],
      [ "RMOL Development", "index.html#development", null ],
      [ "External Libraries", "index.html#external_libs", null ],
      [ "Support RMOL", "index.html#social_sponsorship", null ],
      [ "About RMOL", "index.html#about", null ]
    ] ],
    [ "People", "a00001.html", [
      [ "Project Admins", "a00001.html#admins", null ],
      [ "Developers", "a00001.html#developers", null ],
      [ "Retired Developers", "a00001.html#retired", null ],
      [ "Contributors", "a00001.html#contributors", null ],
      [ "Distribution Maintainers", "a00001.html#distributors", null ]
    ] ],
    [ "Coding Rules", "a00002.html", [
      [ "Default Naming Rules for Variables", "a00002.html#cr_variables", null ],
      [ "Default Naming Rules for Functions", "a00002.html#cr_functions", null ],
      [ "Default Naming Rules for Classes and Structures", "a00002.html#cr_classes", null ],
      [ "Default Naming Rules for Files", "a00002.html#cr_files", null ],
      [ "Default Functionality of Classes", "a00002.html#cr_classes_functionality", null ]
    ] ],
    [ "Copyright and License", "a00003.html", [
      [ "GNU LESSER GENERAL PUBLIC LICENSE", "a00003.html#gnugpl", [
        [ "Version 2.1, February 1999", "a00003.html#version", null ]
      ] ],
      [ "Preamble", "a00003.html#preamble", null ],
      [ "TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION", "a00003.html#terms", [
        [ "NO WARRANTY", "a00003.html#nowarranty", null ],
        [ "END OF TERMS AND CONDITIONS", "a00003.html#endofterms", null ]
      ] ],
      [ "How to Apply These Terms to Your New Programs", "a00003.html#howtoapply", null ]
    ] ],
    [ "Documentation Rules", "a00004.html", [
      [ "General Rules", "a00004.html#doc_general", null ],
      [ "File Header", "a00004.html#doc_header", null ],
      [ "Grouping Various Parts", "a00004.html#doc_groups", null ]
    ] ],
    [ "Main features", "a00005.html", [
      [ "Optimisation features", "a00005.html#rmo_features", null ],
      [ "Unconstraining", "a00005.html#rmu_features", null ],
      [ "Forecasting features", "a00005.html#rmf_features", null ],
      [ "Overbooking features", "a00005.html#rmc_features", null ],
      [ "Other features", "a00005.html#other_features", null ]
    ] ],
    [ "Make a Difference", "a00006.html", null ],
    [ "Make a new release", "a00007.html", [
      [ "Introduction", "a00007.html#description", null ],
      [ "Initialisation", "a00007.html#initialisation", null ],
      [ "Release branch maintenance", "a00007.html#branch_update", null ],
      [ "Commit and publish the release branch", "a00007.html#branch_publish", null ],
      [ "Create source packages (tar-balls)", "a00007.html#create_packages", null ],
      [ "Upload the HTML documentation to SourceForge", "a00007.html#upload_doc", null ],
      [ "Generate the RPM packages", "a00007.html#generate_rpm_packages", null ],
      [ "Update distributed change log", "a00007.html#update_changelog", null ],
      [ "Create the binary package, including the documentation", "a00007.html#create_bin_packages", null ],
      [ "Upload the files to SourceForge", "a00007.html#upload_files", null ],
      [ "Make a new post", "a00007.html#post_news", null ],
      [ "Send an email on the announcement mailing-list", "a00007.html#send_announce", null ]
    ] ],
    [ "Installation", "a00008.html", [
      [ "Table of Contents", "a00008.html#toc", null ],
      [ "Fedora/RedHat Linux distributions", "a00008.html#rpm_linux", null ],
      [ "RMOL Requirements", "a00008.html#requirements", null ],
      [ "Basic Installation", "a00008.html#basic_instructions", null ],
      [ "Compilers and Options", "a00008.html#compilers", null ],
      [ "Compiling For Multiple Architectures", "a00008.html#compiling_for_multi_arch", null ],
      [ "Installation Names", "a00008.html#installation_names", null ],
      [ "Optional Features", "a00008.html#optional_features", null ],
      [ "Particular systems", "a00008.html#particular_systems", null ],
      [ "Specifying the System Type", "a00008.html#specifying_system_type", null ],
      [ "Sharing Defaults", "a00008.html#sharing_defaults", null ],
      [ "Defining Variables", "a00008.html#defining_variables", null ],
      [ "`cmake' Invocation", "a00008.html#cmake_invocation", null ]
    ] ],
    [ "Linking with RMOL", "a00009.html", [
      [ "Introduction", "a00009.html#intro", null ],
      [ "Using the pkg-config command", "a00009.html#pkgconfig", null ],
      [ "Using the rmol-config script", "a00009.html#rmol_config", null ],
      [ "M4 macro for the GNU Autotools", "a00009.html#autotools", null ],
      [ "Using RMOL with dynamic linking", "a00009.html#dynamiclinking", null ]
    ] ],
    [ "Test Rules", "a00010.html", [
      [ "The Test File", "a00010.html#test_file", null ],
      [ "The Reference File", "a00010.html#reference_file", null ],
      [ "Testing IT++ Library", "a00010.html#testing_using_make", null ]
    ] ],
    [ "Users Guide", "a00011.html", [
      [ "Table of Contents", "a00011.html#ug_toc", null ],
      [ "Introduction", "a00011.html#ug_introduction", null ],
      [ "Get Started", "a00011.html#ug_get_started", [
        [ "Get the RMOL library", "a00011.html#ug_get_source", null ],
        [ "Build the RMOL project", "a00011.html#ug_build_binaries", null ],
        [ "Build and Run the Tests", "a00011.html#ug_build_and_run_tests", null ],
        [ "Install the RMOL Project (Binaries, Documentation)", "a00011.html#ug_install_project", null ]
      ] ],
      [ "Exploring the Predefined BOM Tree", "a00011.html#ug_bom_tree", [
        [ "Forecaster BOM Tree", "a00011.html#ug_bom_forecaster", null ],
        [ "Optimiser BOM Tree", "a00011.html#ug_bom_optimiser", null ]
      ] ],
      [ "Extending the BOM Tree", "a00011.html#ug_extending_bom_tree", null ]
    ] ],
    [ "Supported Systems", "a00012.html", [
      [ "RMOL 0.23.x", "a00012.html#rmol_0_23", [
        [ "Linux Systems", "a00012.html#linux", [
          [ "Fedora Core 4 with ATLAS", "a00012.html#fedora_atlas", null ],
          [ "Gentoo Linux with ACML", "a00012.html#gentoo_acml", null ],
          [ "Gentoo Linux with ATLAS", "a00012.html#gentoo_atlas", null ],
          [ "Gentoo Linux with MKL", "a00012.html#gentoo_mkl", null ],
          [ "Gentoo Linux with NetLib's BLAS and LAPACK", "a00012.html#gentoo_netlib", null ],
          [ "Red Hat Enterprise Linux with RMOL External", "a00012.html#rhel", null ],
          [ "SUSE Linux 10.0 with NetLib's BLAS and LAPACK", "a00012.html#suse_netlib", null ],
          [ "SUSE Linux 10.0 with MKL", "a00012.html#suse_mkl", null ]
        ] ],
        [ "Windows Systems", "a00012.html#windows", [
          [ "Microsoft Windows XP with Cygwin", "a00012.html#cygwin", null ],
          [ "Microsoft Windows XP with Cygwin and ATLAS", "a00012.html#cygwin_atlas", null ],
          [ "Microsoft Windows XP with Cygwin and ACML", "a00012.html#cygwin_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and ACML", "a00012.html#mingw_acml", null ],
          [ "Microsoft Windows XP with MinGW, MSYS and RMOL External", "a00012.html#mingw_netlib", null ],
          [ "Microsoft Windows XP with MS Visual C++ and Intel MKL", "a00012.html#msvc_mkl", null ]
        ] ],
        [ "Unix Systems", "a00012.html#unix", [
          [ "SunOS 5.9 with RMOL External", "a00012.html#sunos59", null ]
        ] ]
      ] ]
    ] ],
    [ "RMOL Supported Systems (Previous Releases)", "a00013.html", [
      [ "RMOL 3.9.1", "a00013.html#rmol_3_9_1", null ],
      [ "RMOL 3.9.0", "a00013.html#rmol_3_9_0", null ],
      [ "RMOL 3.8.1", "a00013.html#rmol_3_8_1", null ]
    ] ],
    [ "Tutorials", "a00014.html", [
      [ "Table of Contents", "a00014.html#tut_toc", null ],
      [ "Introduction", "a00014.html#tut_introduction", [
        [ "Preparing the StdAir Project for Development", "a00014.html#tut_intro_configuration", null ]
      ] ],
      [ "Build a Predefined BOM Tree", "a00014.html#tut_build_bom_tree", [
        [ "Instanciate the BOM Root Object", "a00014.html#tut_build_bom_root", null ],
        [ "Instanciate the (Airline) Inventory Object", "a00014.html#tut_build_inventory", null ],
        [ "Link the Inventory Object with the BOM Root", "a00014.html#tut_build_link", null ],
        [ "Build Another Airline Inventory", "a00014.html#tut_build_inventory_another", null ],
        [ "Dump The BOM Tree Content", "a00014.html#tut_dump_bom_tree", null ],
        [ "Result of the Tutorial Program", "a00014.html#tut_result_output", null ]
      ] ],
      [ "Extend the Pre-Defined BOM Tree", "a00014.html#tut_extend_bom_tree", [
        [ "Extend an Airline Inventory Object", "a00014.html#tut_extend_inventory", null ],
        [ "Build the Specific BOM Objects", "a00014.html#tut_extend_build", null ],
        [ "Result of the Tutorial Program", "a00014.html#tut_extend_result_output", null ]
      ] ]
    ] ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00015.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00016.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00017.html", null ],
    [ "Command-Line Test to Demonstrate How To Test the RMOL Project", "a00018.html", null ],
    [ "Namespaces", null, [
      [ "Namespace List", "namespaces.html", "namespaces" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Functions", "functions_func.html", null ],
        [ "Variables", "functions_vars.html", null ],
        [ "Typedefs", "functions_type.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"a00001.html",
"a00053.html",
"a00144.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';